package mx.com.amx.mx.dda.crn.dao;

import java.util.List;

import mx.com.amx.mx.dda.crn.dto.ContratoSAPSubnumDTO;
import mx.com.amx.mx.dda.crn.dto.ContratoTituloDTO;
import mx.com.amx.mx.dda.crn.dto.DatosCntTituloExhibicionDTO;
import mx.com.amx.mx.dda.crn.dto.ItemActivoFijoDTO;
import mx.com.amx.mx.dda.crn.dto.ParametroDTO;

public interface IDDAExhibicionDAO 
{
	public List<ParametroDTO> getValorDiaNotificacion() throws Exception;
	public boolean puedeIniciarProcesoNotificacion() throws Exception;
	public boolean verificaEjecutandoseProcesoNotificacion() throws Exception;
	public boolean updateEjecutandoseProcesoNotificacion(String pstValor) throws Exception;
	public List<DatosCntTituloExhibicionDTO> obtenerTitulosRecienExhibidos(String pstFechaReferencia) throws Exception;
	public boolean actualizaFechaNotificacion(ContratoTituloDTO dto) throws Exception;
	public boolean insertarRegistroSubnum(String pstIdTituloCnt) throws Exception;
	public List<ItemActivoFijoDTO> obtenerTitulosSinIdSAP_RecienExhibidos(String pstFechaReferencia) throws Exception;
	public boolean actualizaIdSAPCntTitulo(ContratoTituloDTO dto) throws Exception;
	
	public boolean ejecutarSPAmortizacionReal() throws Exception;
}
